Bug 9809 - (int-163434) Scrolling animation on jump-to-song is too CPU heavy
(int-163434)
: Scrolling animation on jump-to-song is too CPU heavy
Status: RESOLVED FIXED
Product: Media player
General
: 5.0/(3.2010.02-8)
: All Maemo
: Unspecified normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: media-player-bugs
:
: use-time
:
:
  Show dependency tree
 
Reported: 2010-04-01 22:44 UTC by Jonas Kölker
Modified: 2010-04-09 15:29 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Jonas Kölker (reporter) 2010-04-01 22:44:32 UTC
SOFTWARE VERSION: SELECT version FROM bugzilla 

EXACT STEPS LEADING TO PROBLEM: 
1. Put a lot of songs on your device
2. In the media player, under "All Songs", search for a song by ZZ Top
3. Click it, in order to play it back

EXPECTED OUTCOME:
You're presented with a "now playing" view of your songs, centered on the one
you chose

ACTUAL OUTCOME:
You're presented with a "now playing" view of your songs which spends an
atrociously large number of cpu cycles on a scrolling animation.

REPRODUCIBILITY:
CPU cycles spent depends on how many songs you have and which one you ask media
player to jump to.

EXTRA SOFTWARE INSTALLED:
plenty

OTHER COMMENTS:
It makes the volume control laggy.  (I understand buffering; the volume control
is even more laggy, even when the scrolling animation is not being shown)

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; da; rv:1.9.1.9)
Gecko/20100315 Firefox/3.5.9 (.NET CLR 3.5.30729)
Comment 1 Andre Klapper maemo.org 2010-04-07 17:11:36 UTC
Rel data very welcome, as "too CPU heavy" is very subjective.
Comment 2 Andre Klapper maemo.org 2010-04-09 15:29:07 UTC
This has been fixed in the next public update.

Now playing list was scrolled to correct place. In the next update (PR1.2),
correct place is set directly, without any extra scrolling.

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/